# Google Cloud Compute V1 API - Class Google::Cloud::Compute::V1::CompositeHealthCheck (v3.7.0)

3.7.0 (latest) 3.6.0 3.5.0 3.4.0 3.3.0 3.2.0 3.1.0 3.0.0 2.22.0 2.21.1 2.20.0 2.19.1 2.18.0 2.17.0 2.16.0 2.15.0 2.14.0 2.13.0 2.12.0 2.11.0 2.10.0 2.9.0 2.8.0 2.7.2 2.6.0 2.5.0 2.4.0 2.3.0 2.2.0 2.1.0 2.0.0 1.10.0 1.9.0 1.8.0 1.7.1 1.6.0 1.5.0 1.4.0 1.3.0 1.2.0 1.1.0 1.0.0 0.5.0 Reference documentation and code samples for the Google Cloud Compute V1 API class Google::Cloud::Compute::V1::CompositeHealthCheck.

Represents a composite health check.


<br />

A composite health check resource specifies the health source resources and
the health destination resource to which the aggregated health result from
the health source resources is delivered.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #creation_timestamp

    def creation_timestamp() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] Creation timestamp inRFC3339 text format.

### #creation_timestamp=

    def creation_timestamp=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] Creation timestamp inRFC3339 text format.
**Returns**

- (::String) --- Output only. \[Output Only\] Creation timestamp inRFC3339 text format.

### #description

    def description() -> ::String

**Returns**

- (::String) --- An optional description of this resource. Provide this property when you create the resource.

### #description=

    def description=(value) -> ::String

**Parameter**

- **value** (::String) --- An optional description of this resource. Provide this property when you create the resource.
**Returns**

- (::String) --- An optional description of this resource. Provide this property when you create the resource.

### #fingerprint

    def fingerprint() -> ::String

**Returns**

- (::String) --- Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

### #fingerprint=

    def fingerprint=(value) -> ::String

**Parameter**

- **value** (::String) --- Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.
**Returns**

- (::String) --- Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

### #health_destination

    def health_destination() -> ::String

**Returns**

- (::String) --- URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

### #health_destination=

    def health_destination=(value) -> ::String

**Parameter**

- **value** (::String) --- URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.
**Returns**

- (::String) --- URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

### #health_sources

    def health_sources() -> ::Array<::String>

**Returns**

- (::Array\<::String\>) --- URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

### #health_sources=

    def health_sources=(value) -> ::Array<::String>

**Parameter**

- **value** (::Array\<::String\>) --- URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
**Returns**

- (::Array\<::String\>) --- URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

### #id

    def id() -> ::Integer

**Returns**

- (::Integer) --- Output only. \[Output Only\] A unique identifier for this resource type. The server generates this identifier.

### #id=

    def id=(value) -> ::Integer

**Parameter**

- **value** (::Integer) --- Output only. \[Output Only\] A unique identifier for this resource type. The server generates this identifier.
**Returns**

- (::Integer) --- Output only. \[Output Only\] A unique identifier for this resource type. The server generates this identifier.

### #kind

    def kind() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

### #kind=

    def kind=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.
**Returns**

- (::String) --- Output only. \[Output Only\] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

### #name

    def name() -> ::String

**Returns**

- (::String) --- Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

### #name=

    def name=(value) -> ::String

**Parameter**

- **value** (::String) --- Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.
**Returns**

- (::String) --- Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

### #region

    def region() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

### #region=

    def region=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
**Returns**

- (::String) --- Output only. \[Output Only\] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

### #self_link

    def self_link() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] Server-defined URL for the resource.

### #self_link=

    def self_link=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] Server-defined URL for the resource.
**Returns**

- (::String) --- Output only. \[Output Only\] Server-defined URL for the resource.

### #self_link_with_id

    def self_link_with_id() -> ::String

**Returns**

- (::String) --- Output only. \[Output Only\] Server-defined URL with id for the resource.

### #self_link_with_id=

    def self_link_with_id=(value) -> ::String

**Parameter**

- **value** (::String) --- Output only. \[Output Only\] Server-defined URL with id for the resource.
**Returns**

- (::String) --- Output only. \[Output Only\] Server-defined URL with id for the resource.